globus_xio_http_driver(3)

NAME
globus_xio_http_driver - Globus XIO HTTP Driver

 - Globus XIO HTTP Driver.

SYNOPSIS

  Topics

Opening/Closing
Opening/Closing.
Reading/Writing
Reading/Writing.
Server
Server.
Attributes and Cntls
Attributes and Cntls.
Error Types
Error Types.

  Data Structures

struct globus_xio_http_header_t
HTTP Header.

  Enumerations

enum globus_xio_http_version_t { }

Detailed Description

Globus XIO HTTP Driver.

This driver implements the HTTP/1.0 and HTTP/1.1 protocols within the Globus XIO framework. It may be used with the tcp driver for the standard HTTP protocol stack, or may be combined with the gsi driver for a HTTPS implementation.

This implementation supports user-defined HTTP headers, persistent connections, and chunked transfer encoding.

Enumeration Type Documentation

  enum globus_xio_http_version_t
Valid HTTP versions, used with the GLOBUS_XIO_HTTP_ATTR_SET_REQUEST_HTTP_VERSION attribute and the GLOBUS_XIO_HTTP_HANDLE_SET_RESPONSE_HTTP_VERSION handle control

Enumerator

GLOBUS_XIO_HTTP_VERSION_1_0
    HTTP/1.0

GLOBUS_XIO_HTTP_VERSION_1_1
    HTTP/1.1

Author

Generated automatically by Doxygen for globus_xio from the source code.